Summary: IPFIX elements and UniRec fields for libfds, NEMEA, IPFIXcol2
Name: cesnet-ipfix-elements
Version: 1.0.2
Release: 1.3.g8107f6a
URL: https://gitlab.liberouter.org/monitoring/ipfix-elements
Source0: %{name}-%{version}.tar.gz
Group: Liberouter
License: BSD
Vendor: CESNET, z.s.p.o.
Packager: Tomas Cejka <cejkat@cesnet.cz>
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
BuildRequires: python3
BuildRequires: git

%description
IPFIX elements and UniRec fields for libfds, NEMEA, IPFIXcol2

%prep
%setup

%install
mkdir -p %{buildroot}/opt/ipfixcol2 %{buildroot}/opt/libfds
cp -r libfds/system/ %{buildroot}/opt/libfds
cp -r ipfixcol2/unirec-elements.txt ipfixcol2/unirec-startup.xml.example %{buildroot}/opt/ipfixcol2

%check
./check-unirec-elements.sh %{buildroot}/opt/ipfixcol2/unirec-elements.txt %{buildroot}/opt/libfds/system/elements/*

%files
/opt/ipfixcol2/unirec-elements.txt
/opt/ipfixcol2/unirec-startup.xml.example
/opt/libfds/

%changelog

